/*
 * network_subroutines.h
 *
 * Copyright © 2020 by John Sauter <John_Sauter@systemeyescomputerstore.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#include <gst/gst.h>
#include <gio/gio.h>

#define network_buffer_size 8000

/* Subroutines defined in network_subroutines.c */

/* Initialize. */
void *network_init (GApplication *app);

/* Bind to the network port.  */
void network_bind_port (GApplication *app);

/* Set the port number. */
void network_set_port (int port_number, GApplication *app);

/* Unbind the network port.  */
void network_unbind_port (GApplication *app);

/* Get the port number. */
gint network_get_port (GApplication *app);

/* End of file network_subroutines.h  */
